SphinxClient::setIDRange
SphinxClient::setLimits
SphinxClient
PHP Manual

# SphinxClient::setIndexWeights

(No version information available, might be only in CVS)

SphinxClient::setIndexWeights — Set per-index weights

### Description

public bool SphinxClient::setIndexWeights ( array `$weights` )

Sets per-index weights and enables weighted summing of match weights across different indexes.

### Parameters

`weights`

  An associative array mapping string index names to integer weights. Default is empty array, i.e. weighting summing is disabled.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

SphinxClient::setIDRange
SphinxClient::setLimits
SphinxClient
PHP Manual